## net.i2p.i2ptunnel.web
Class EditBean

    java.lang.Object
      net.i2p.i2ptunnel.web.IndexBean
          net.i2p.i2ptunnel.web.EditBean

    public class EditBean

extends IndexBean

Ugly little accessor for the edit page

Field Summary

Fields inherited from class net.i2p.i2ptunnel.web.IndexBean
`_context, _group, _log, CLIENT_NICKNAME, NOT_RUNNING, PROP_CSS_DISABLED, PROP_JS_DISABLED, PROP_NONCE, PROP_THEME_NAME, PROP_TUNNEL_PASSPHRASE, RUNNING, STARTING`

Constructor Summary
`EditBean()`

Method Summary
`java.lang.String` `getCustomOptions(int tunnel)`
`java.lang.String` `getI2CPHost(int tunnel)`
`java.lang.String` `getI2CPPort(int tunnel)`
`java.lang.String` `getPrivateKeyFile(int tunnel)`
`java.lang.String` `getSpoofedHost(int tunnel)`
`java.lang.String` `getTargetHost(int tunnel)`
`java.lang.String` `getTargetPort(int tunnel)`
`int` `getTunnelBackupQuantity(int tunnel, int defaultBackupQuantity)`
`int` `getTunnelDepth(int tunnel, int defaultLength)`
`int` `getTunnelQuantity(int tunnel, int defaultQuantity)`
`int` `getTunnelVariance(int tunnel, int defaultVariance)`
`boolean` `isInteractive(int tunnel)`
`boolean` `isSharedClient(int tunnel)`
`boolean` `shouldDelay(int tunnel)`
`boolean` `startAutomatically(int tunnel)`
`static boolean` `staticIsClient(int tunnel)`

Methods inherited from class net.i2p.i2ptunnel.web.IndexBean

`allowCSS, allowJS, getClientDestination, getClientInterface, getClientPort, getController, getDestinationBase64, getInternalType, getMessages, getNextNonce, getServerTarget, getSharedClient, getTheme, getTunnelCount, getTunnelDescription, getTunnelName, getTunnelStatus, getTunnelType, getType, getTypeName, isClient, setAction, setClientHost, setClientport, setConnectDelay, setCustomOptions, setDescription, setName, setNonce, setPassphrase, setPort, setPrivKeyFile, setProfile, setProxyList, setReachableBy, setReachableByOther, setRemoveConfirm, setShared, setShared, setSpoofedHost, setStartOnLoad, setTargetDestination, setTargetHost, setTargetPort, setTunnel, setTunnelBackupQuantity, setTunnelDepth, setTunnelQuantity, setTunnelVariance, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditBean

    public EditBean()

Method Detail

### staticIsClient

    public static boolean staticIsClient(int tunnel)

### getTargetHost

    public java.lang.String getTargetHost(int tunnel)

### getTargetPort

    public java.lang.String getTargetPort(int tunnel)

### getSpoofedHost

    public java.lang.String getSpoofedHost(int tunnel)

### getPrivateKeyFile

    public java.lang.String getPrivateKeyFile(int tunnel)

### startAutomatically

    public boolean startAutomatically(int tunnel)

### isSharedClient

    public boolean isSharedClient(int tunnel)

### shouldDelay

    public boolean shouldDelay(int tunnel)

### isInteractive

    public boolean isInteractive(int tunnel)

### getTunnelDepth

    public int getTunnelDepth(int tunnel,
                              int defaultLength)

### getTunnelQuantity

    public int getTunnelQuantity(int tunnel,
                                 int defaultQuantity)

### getTunnelBackupQuantity

    public int getTunnelBackupQuantity(int tunnel,
                                       int defaultBackupQuantity)

### getTunnelVariance

    public int getTunnelVariance(int tunnel,
                                 int defaultVariance)

### getI2CPHost

    public java.lang.String getI2CPHost(int tunnel)

### getI2CPPort

    public java.lang.String getI2CPPort(int tunnel)

### getCustomOptions

    public java.lang.String getCustomOptions(int tunnel)